Skip to content

Ripple Collections (alpha) (0.0.1)

The Ripple Collection APIs are used to manage collections, manage payment channels, manage partners and settlements.

API Environments

The Ripple Collection APIs offers the following environments:

Environment
Base URLDescription
Sandboxhttps://docs.ripple.com/products/collections/_mock/api/collectionsSandbox environment with mock data which does not require auth.
UAThttps://api.test.ripple.comUAT environment with simulated transactions.
Productionhttps://api.ripple.comProduction environment

For guides on API authentication, idempotency, and webhook verification, see the sidebar.

Download OpenAPI description
Languages
Servers
Mock server
https://docs.ripple.com/_mock/products/collections/v0/api/collections
https://api.test.ripple.com
https://api.ripple.com
Operations

Endpoints for managing persistent collection channels

Operations

Request

Retrieves a list of channels, filterable by query parameters.

Security
Bearer
Query
idstring(uuid)

Filter channels by specific channel identifier

Example: id=3fa85f64-5717-4562-b3fc-2c963f66afa6
payer_idstring(uuid)

Filter channels by payer identifier

Example: payer_id=e471b938-98ad-45e4-b144-53a556ea047d
beneficiary_idstring(uuid)

Filter channels by beneficiary identifier

Example: beneficiary_id=291ecf34-a01d-466a-b0fd-662a88b7a1bb
statusstring(ChannelStatus)

Filter channels by status

Enum"ACTIVE""INACTIVE""CLOSED"
Example: status=ACTIVE
payment_currencystring

Filter channels by payment currency asset

Example: payment_currency=USDC
networkstring(Network)

Filter channels by payment currency network

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: network=ETHEREUM
wallet_addressstring

Filter channels by wallet address

Example: wallet_address=0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5
sincestring(date-time)

ISO 8601 timestamp after channel was created

Example: since=2025-06-17T12:00:00Z
untilstring(date-time)

ISO 8601 timestamp before channel was created

Example: until=2025-06-17T12:00:00Z
pageinteger>= 1

Page number (starts at 1)

Default 1
Example: page=1
sizeinteger>= 1

Page size (items per page)

Default 10
Example: size=10
curl -i -X GET \
  'https://docs.ripple.com/_mock/products/collections/v0/api/collections/v0/collections/channels?id=3fa85f64-5717-4562-b3fc-2c963f66afa6&payer_id=e471b938-98ad-45e4-b144-53a556ea047d&beneficiary_id=291ecf34-a01d-466a-b0fd-662a88b7a1bb&status=ACTIVE&payment_currency=USDC&network=ETHEREUM&wallet_address=0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5&since=2025-06-17T12%3A00%3A00Z&until=2025-06-17T12%3A00%3A00Z&page=1&size=10' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

A list of channels.

Bodyapplication/json
contentArray of objects(Channel)
pageobject(PageMetadata)

Pagination metadata.

Response
application/json
{ "content": [ {} ], "page": { "page": 1, "size": 10, "total_elements": 1, "total_pages": 1 } }

Request

Creates a new payment channel between payer and beneficiary.

Security
Bearer
Bodyapplication/jsonrequired
payer_idstring(uuid)required

Unique identifier of the payer partner

Example: "e471b938-98ad-45e4-b144-53a556ea047d"
beneficiary_idstring(uuid)required

Unique identifier of the beneficiary partner

Example: "291ecf34-a01d-466a-b0fd-662a88b7a1bb"
payment_currencyobject(CryptoCurrency)required

Metadata for a crypto asset

payment_currency.​typestringrequired

Discriminator: indicates crypto asset metadata

Value"CRYPTO"
payment_currency.​assetstringrequired

Ticker symbol of the crypto asset

Example: "USDC"
payment_currency.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
channel_currencyobject(FiatCurrency)required

Metadata for a fiat currency

channel_currency.​typestringrequired

Discriminator: indicates fiat currency metadata

Value"FIAT"
channel_currency.​assetstringrequired

Fiat currency code (ISO 4217)

Example: "USD"
curl -i -X POST \
  https://docs.ripple.com/_mock/products/collections/v0/api/collections/v0/collections/channels \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "payer_id": "e471b938-98ad-45e4-b144-53a556ea047d",
    "beneficiary_id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb",
    "payment_currency": {
      "type": "CRYPTO",
      "asset": "USDC",
      "network": "ETHEREUM"
    },
    "channel_currency": {
      "type": "FIAT",
      "asset": "USD"
    }
  }'

Responses

Channel created successfully.

Bodyapplication/json
idstring(uuid)required

Unique identifier for the channel

Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
payerobjectrequired

Payer partner details

payer.​idstring(uuid)required

Unique identifier for the payer partner

Example: "e471b938-98ad-45e4-b144-53a556ea047d"
payer.​namestringrequired

Full name of the payer partner

Example: "Nigerian Imports Ltd."
payer.​emailstring(email)required

Email address of the payer partner

Example: "nigerian@imports.com"
beneficiaryobjectrequired

Beneficiary partner details

beneficiary.​idstring(uuid)required

Unique identifier for the beneficiary partner

Example: "291ecf34-a01d-466a-b0fd-662a88b7a1bb"
beneficiary.​namestringrequired

Full name of the beneficiary partner

Example: "Hong Kong Exports Ltd."
beneficiary.​emailstring(email)required

Email address of the beneficiary partner

Example: "hongkong@exports.com"
payment_currencyobject(CryptoCurrency)required

Metadata for a crypto asset

payment_currency.​typestringrequired

Discriminator: indicates crypto asset metadata

Value"CRYPTO"
payment_currency.​assetstringrequired

Ticker symbol of the crypto asset

Example: "USDC"
payment_currency.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
channel_currencyobject(FiatCurrency)required

Metadata for a fiat currency

channel_currency.​typestringrequired

Discriminator: indicates fiat currency metadata

Value"FIAT"
channel_currency.​assetstringrequired

Fiat currency code (ISO 4217)

Example: "USD"
walletobject(Wallet)required

Wallet details for the channel

wallet.​addressstringrequired

Wallet address for the channel

Example: "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5"
wallet.​currencystringrequired

Currency held in the wallet

Example: "USDC"
wallet.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
payment_linkstring(uri)

URL for payer UI to access this channel

Example: "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6"
transactionsArray of objects(Transaction)required

List of blockchain transactions associated with this channel

transactions[].​idstring(uuid)required

Unique identifier for the transaction

Example: "487ba009-56cf-4ad9-8b5c-045e27893e00"
transactions[].​parent_idstring(uuid)required

Identifier of the parent entity (collection link or channel) for this transaction

Example: "e8d43598-107d-4694-9fb2-934e7484c3d4"
transactions[].​settlement_idstring or null(uuid)

Identifier of the settlement associated with this transaction. Null if the transaction has not been included in a settlement yet.

Example: "9f3e4d2c-1a5b-4c8e-9d7f-2e1a3b4c5d6e"
transactions[].​payerobjectrequired

Payer partner details

transactions[].​payer.​idstring(uuid)required

Unique identifier for the payer partner

Example: "0c5479ff-3772-4123-b2b7-e679e71eb570"
transactions[].​payer.​namestringrequired

Full name of the payer partner

Example: "Nigerian Imports Ltd."
transactions[].​payer.​emailstring(email)required

Email address of the payer partner

Example: "nigerian@imports.com"
transactions[].​beneficiaryobjectrequired

Beneficiary partner details

transactions[].​beneficiary.​idstring(uuid)required

Unique identifier of the beneficiary partner

Example: "01467076-8bb0-41c1-ad54-5751dd4a9e80"
transactions[].​beneficiary.​namestringrequired

Full name of the beneficiary partner

Example: "Hong Kong Exports Ltd."
transactions[].​beneficiary.​emailstring(email)required

Email address of the beneficiary partner

Example: "hongkong@exports.com"
transactions[].​payment_amountobjectrequired

Crypto payment amount and asset

transactions[].​payment_amount.​valuestringrequired

Payment amount as a string to preserve precision

Example: "50.00000000"
transactions[].​payment_amount.​assetstringrequired

Crypto asset symbol of the payment

Example: "USDT"
transactions[].​fiat_equivalentobjectrequired

Fiat equivalent amounts for payment, fee, and net

transactions[].​fiat_equivalent.​gross_amountobjectrequired
transactions[].​fiat_equivalent.​gross_amount.​valuestringrequired

Gross amount in fiat

Example: "50.00"
transactions[].​fiat_equivalent.​gross_amount.​currencystringrequired

Fiat currency code

Example: "USD"
transactions[].​fiat_equivalent.​fee_amountobjectrequired
transactions[].​fiat_equivalent.​fee_amount.​valuestringrequired

Fee amount in fiat

Example: "0.50"
transactions[].​fiat_equivalent.​fee_amount.​currencystringrequired

Fiat currency code

Example: "USD"
transactions[].​fiat_equivalent.​net_amountobjectrequired
transactions[].​fiat_equivalent.​net_amount.​valuestringrequired

Net amount in fiat

Example: "49.50"
transactions[].​fiat_equivalent.​net_amount.​currencystringrequired

Fiat currency code

Example: "USD"
transactions[].​market_rateobjectrequired

Market rate reference for the transaction

transactions[].​market_rate.​basestring

Base currency for the exchange rate

Example: "USDT"
transactions[].​market_rate.​counterstring

Counter currency for the exchange rate

Example: "USD"
transactions[].​market_rate.​ratestring

Exchange rate from base to counter currency

Example: "1.00"
transactions[].​exchange_rateobjectrequired

Exchange rate applied on the transaction

transactions[].​exchange_rate.​basestring

Base currency for the exchange rate

Example: "USDT"
transactions[].​exchange_rate.​counterstring

Counter currency for the exchange rate

Example: "USD"
transactions[].​exchange_rate.​ratestring

Exchange rate from base to counter currency

Example: "0.99"
transactions[].​source_transaction_detailsobjectrequired

On-chain transaction details

transactions[].​source_transaction_details.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
transactions[].​source_transaction_details.​transaction_hashstringrequired

Blockchain transaction hash

Example: "0x94365ftfr76iy45t6ghu876567ytr54ertyui987uyt698uyh87u"
transactions[].​source_transaction_details.​block_idstringrequired

Blockchain block identifier containing this transaction

Example: "0xh7865gugi87yea94e8267987a9e91eddcd0da916b22f3cfa0c8bd91dbad85"
transactions[].​source_transaction_details.​source_addressstringrequired

Blockchain address from which funds were sent

Example: "0x880f622a1933ACf82bFC5e630c9ab7f18eF47809"
transactions[].​source_transaction_details.​destination_addressstringrequired

Blockchain address to which funds were sent

Example: "0x02937b288b588058533C48b18EdFDdd76A324D6"
transactions[].​source_transaction_details.​gas_feeobjectrequired

Blockchain gas fee details

transactions[].​source_transaction_details.​gas_fee.​valuestring

Gas fee value

Example: "0.0045"
transactions[].​source_transaction_details.​gas_fee.​assetstring

Asset used to pay gas fee

Example: "ETH"
transactions[].​statusstring(TransactionStatus)required

Transaction status

Enum"COMPLETED""FAILED_KYT""FAILED""HOLD_KYT""REFUNDED_KYT""PROCESSING"
Example: "COMPLETED"
transactions[].​reasonstring or null

Reason for current status (if applicable)

Example: null
transactions[].​transaction_processed_datestring(date-time)required

ISO 8601 timestamp of the transaction

Example: "2025-06-17T12:20:00Z"
transactions[].​date_createdinteger(int64)required

Unix timestamp (milliseconds) when transaction was created

Example: 1566203005000
transactions[].​date_confirmedinteger(int64)required

Unix timestamp (milliseconds) when transaction was confirmed on blockchain

Example: 1566203005000
statusstring(ChannelStatus)required

Status of the channel

Enum"ACTIVE""INACTIVE""CLOSED"
Example: "ACTIVE"
reasonstring or null

Reason for current status (if applicable)

Example: null
created_atstring(date-time)required

ISO 8601 timestamp when the channel was created

Example: "2025-09-18T22:54:00.542Z"
updated_atstring(date-time)required

ISO 8601 timestamp when the channel was last updated

Example: "2025-09-18T22:54:00.542Z"
Response
application/json
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "payer": { "id": "e471b938-98ad-45e4-b144-53a556ea047d", "name": "Nigerian Imports Ltd.", "email": "nigerian@imports.com" }, "beneficiary": { "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb", "name": "Hong Kong Exports Ltd.", "email": "hongkong@exports.com" }, "channel_currency": { "type": "FIAT", "asset": "USD" }, "payment_currency": { "type": "CRYPTO", "asset": "USDC", "network": "ETHEREUM" }, "wallet": { "address": "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5", "currency": "USDC", "network": "ETHEREUM" }, "payment_link": "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6", "transactions": [], "status": "ACTIVE", "reason": null, "created_at": "2025-09-18T22:54:00.542Z", "updated_at": "2025-09-18T22:54:00.542Z" }

Request

Retrieves the details of a specific channel by its ID.

Security
Bearer
Path
channel_idstring(uuid)required

Unique identifier of the channel to retrieve

Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
curl -i -X GET \
  https://docs.ripple.com/_mock/products/collections/v0/api/collections/v0/collections/channels/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response

Bodyapplication/json
idstring(uuid)required

Unique identifier for the channel

Example: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
payerobjectrequired

Payer partner details

payer.​idstring(uuid)required

Unique identifier for the payer partner

Example: "e471b938-98ad-45e4-b144-53a556ea047d"
payer.​namestringrequired

Full name of the payer partner

Example: "Nigerian Imports Ltd."
payer.​emailstring(email)required

Email address of the payer partner

Example: "nigerian@imports.com"
beneficiaryobjectrequired

Beneficiary partner details

beneficiary.​idstring(uuid)required

Unique identifier for the beneficiary partner

Example: "291ecf34-a01d-466a-b0fd-662a88b7a1bb"
beneficiary.​namestringrequired

Full name of the beneficiary partner

Example: "Hong Kong Exports Ltd."
beneficiary.​emailstring(email)required

Email address of the beneficiary partner

Example: "hongkong@exports.com"
payment_currencyobject(CryptoCurrency)required

Metadata for a crypto asset

payment_currency.​typestringrequired

Discriminator: indicates crypto asset metadata

Value"CRYPTO"
payment_currency.​assetstringrequired

Ticker symbol of the crypto asset

Example: "USDC"
payment_currency.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
channel_currencyobject(FiatCurrency)required

Metadata for a fiat currency

channel_currency.​typestringrequired

Discriminator: indicates fiat currency metadata

Value"FIAT"
channel_currency.​assetstringrequired

Fiat currency code (ISO 4217)

Example: "USD"
walletobject(Wallet)required

Wallet details for the channel

wallet.​addressstringrequired

Wallet address for the channel

Example: "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5"
wallet.​currencystringrequired

Currency held in the wallet

Example: "USDC"
wallet.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
payment_linkstring(uri)

URL for payer UI to access this channel

Example: "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6"
transactionsArray of objects(Transaction)required

List of blockchain transactions associated with this channel

transactions[].​idstring(uuid)required

Unique identifier for the transaction

Example: "487ba009-56cf-4ad9-8b5c-045e27893e00"
transactions[].​parent_idstring(uuid)required

Identifier of the parent entity (collection link or channel) for this transaction

Example: "e8d43598-107d-4694-9fb2-934e7484c3d4"
transactions[].​settlement_idstring or null(uuid)

Identifier of the settlement associated with this transaction. Null if the transaction has not been included in a settlement yet.

Example: "9f3e4d2c-1a5b-4c8e-9d7f-2e1a3b4c5d6e"
transactions[].​payerobjectrequired

Payer partner details

transactions[].​payer.​idstring(uuid)required

Unique identifier for the payer partner

Example: "0c5479ff-3772-4123-b2b7-e679e71eb570"
transactions[].​payer.​namestringrequired

Full name of the payer partner

Example: "Nigerian Imports Ltd."
transactions[].​payer.​emailstring(email)required

Email address of the payer partner

Example: "nigerian@imports.com"
transactions[].​beneficiaryobjectrequired

Beneficiary partner details

transactions[].​beneficiary.​idstring(uuid)required

Unique identifier of the beneficiary partner

Example: "01467076-8bb0-41c1-ad54-5751dd4a9e80"
transactions[].​beneficiary.​namestringrequired

Full name of the beneficiary partner

Example: "Hong Kong Exports Ltd."
transactions[].​beneficiary.​emailstring(email)required

Email address of the beneficiary partner

Example: "hongkong@exports.com"
transactions[].​payment_amountobjectrequired

Crypto payment amount and asset

transactions[].​payment_amount.​valuestringrequired

Payment amount as a string to preserve precision

Example: "50.00000000"
transactions[].​payment_amount.​assetstringrequired

Crypto asset symbol of the payment

Example: "USDT"
transactions[].​fiat_equivalentobjectrequired

Fiat equivalent amounts for payment, fee, and net

transactions[].​fiat_equivalent.​gross_amountobjectrequired
transactions[].​fiat_equivalent.​gross_amount.​valuestringrequired

Gross amount in fiat

Example: "50.00"
transactions[].​fiat_equivalent.​gross_amount.​currencystringrequired

Fiat currency code

Example: "USD"
transactions[].​fiat_equivalent.​fee_amountobjectrequired
transactions[].​fiat_equivalent.​fee_amount.​valuestringrequired

Fee amount in fiat

Example: "0.50"
transactions[].​fiat_equivalent.​fee_amount.​currencystringrequired

Fiat currency code

Example: "USD"
transactions[].​fiat_equivalent.​net_amountobjectrequired
transactions[].​fiat_equivalent.​net_amount.​valuestringrequired

Net amount in fiat

Example: "49.50"
transactions[].​fiat_equivalent.​net_amount.​currencystringrequired

Fiat currency code

Example: "USD"
transactions[].​market_rateobjectrequired

Market rate reference for the transaction

transactions[].​market_rate.​basestring

Base currency for the exchange rate

Example: "USDT"
transactions[].​market_rate.​counterstring

Counter currency for the exchange rate

Example: "USD"
transactions[].​market_rate.​ratestring

Exchange rate from base to counter currency

Example: "1.00"
transactions[].​exchange_rateobjectrequired

Exchange rate applied on the transaction

transactions[].​exchange_rate.​basestring

Base currency for the exchange rate

Example: "USDT"
transactions[].​exchange_rate.​counterstring

Counter currency for the exchange rate

Example: "USD"
transactions[].​exchange_rate.​ratestring

Exchange rate from base to counter currency

Example: "0.99"
transactions[].​source_transaction_detailsobjectrequired

On-chain transaction details

transactions[].​source_transaction_details.​networkstring(Network)required

Supported blockchain networks

Enum"ETHEREUM""ETHEREUM_SEPOLIA_TESTNET""SOLANA""SOLANA_TESTNET""XRPL""XRPL_TESTNET"
Example: "ETHEREUM"
transactions[].​source_transaction_details.​transaction_hashstringrequired

Blockchain transaction hash

Example: "0x94365ftfr76iy45t6ghu876567ytr54ertyui987uyt698uyh87u"
transactions[].​source_transaction_details.​block_idstringrequired

Blockchain block identifier containing this transaction

Example: "0xh7865gugi87yea94e8267987a9e91eddcd0da916b22f3cfa0c8bd91dbad85"
transactions[].​source_transaction_details.​source_addressstringrequired

Blockchain address from which funds were sent

Example: "0x880f622a1933ACf82bFC5e630c9ab7f18eF47809"
transactions[].​source_transaction_details.​destination_addressstringrequired

Blockchain address to which funds were sent

Example: "0x02937b288b588058533C48b18EdFDdd76A324D6"
transactions[].​source_transaction_details.​gas_feeobjectrequired

Blockchain gas fee details

transactions[].​source_transaction_details.​gas_fee.​valuestring

Gas fee value

Example: "0.0045"
transactions[].​source_transaction_details.​gas_fee.​assetstring

Asset used to pay gas fee

Example: "ETH"
transactions[].​statusstring(TransactionStatus)required

Transaction status

Enum"COMPLETED""FAILED_KYT""FAILED""HOLD_KYT""REFUNDED_KYT""PROCESSING"
Example: "COMPLETED"
transactions[].​reasonstring or null

Reason for current status (if applicable)

Example: null
transactions[].​transaction_processed_datestring(date-time)required

ISO 8601 timestamp of the transaction

Example: "2025-06-17T12:20:00Z"
transactions[].​date_createdinteger(int64)required

Unix timestamp (milliseconds) when transaction was created

Example: 1566203005000
transactions[].​date_confirmedinteger(int64)required

Unix timestamp (milliseconds) when transaction was confirmed on blockchain

Example: 1566203005000
statusstring(ChannelStatus)required

Status of the channel

Enum"ACTIVE""INACTIVE""CLOSED"
Example: "ACTIVE"
reasonstring or null

Reason for current status (if applicable)

Example: null
created_atstring(date-time)required

ISO 8601 timestamp when the channel was created

Example: "2025-09-18T22:54:00.542Z"
updated_atstring(date-time)required

ISO 8601 timestamp when the channel was last updated

Example: "2025-09-18T22:54:00.542Z"
Response
application/json
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "payer": { "id": "e471b938-98ad-45e4-b144-53a556ea047d", "name": "Nigerian Imports Ltd.", "email": "nigerian@imports.com" }, "beneficiary": { "id": "291ecf34-a01d-466a-b0fd-662a88b7a1bb", "name": "Hong Kong Exports Ltd.", "email": "hongkong@exports.com" }, "channel_currency": { "type": "FIAT", "asset": "USD" }, "payment_currency": { "type": "CRYPTO", "asset": "USDC", "network": "ETHEREUM" }, "wallet": { "address": "0xBb592aaaF9AcE2fbE3F735645819FA94c95a9cb5", "currency": "USDC", "network": "ETHEREUM" }, "payment_link": "https://collections.ripplenet.com/pay/channel/3fa85f64-5717-4562-b3fc-2c963f66afa6", "transactions": [ {} ], "status": "ACTIVE", "reason": null, "created_at": "2025-09-18T22:54:00.542Z", "updated_at": "2025-09-18T22:54:00.542Z" }

Endpoints for managing partners who can transact

Operations
Operations

Endpoints for viewing transactions across collection links and channels

Operations

Endpoints for managing webhook registrations

Operations